@echo ON
REM update_file.cmd
REM Parameters: 
setlocal
set FILE=%~1
set BACKUP_LOCATION=%~2
set DESTINATION=%~3
set LOGFILE=%TEMP%\update.log

IF "%FILE%"=="" GOTO USAGE
IF "%BACKUP_LOCATION%"=="" GOTO USAGE

echo UpdateFile Processing: %FILE%  Backup Location: %BACKUP_LOCATION% Destination: %DESTINATION%
IF NOT EXIST "%BACKUP_LOCATION%\%FILE%\.." mkdir "%BACKUP_LOCATION%\%FILE%\.."
IF NOT EXIST "%BACKUP_LOCATION%\%FILE%" echo "Footprint. This file did not exist in BASEDIR before update." > "%BACKUP_LOCATION%\%FILE%" 
IF EXIST "%DESTINATION%\%FILE%" copy "%DESTINATION%\%FILE%" "%BACKUP_LOCATION%\%FILE%" 
copy /Y "UPDATES\%FILE%" "%DESTINATION%\%FILE%"
endlocal
goto FIN

:USAGE
echo Usage: update_file ^<FILE^> ^<BACKUP_LOCATION^> ^<DESTINATION^>
goto FIN

:FIN
